Subject: [mpls] [Technical Errata Reported] RFC8577 (5743)

From: RFC Errata System <[email-masked]>
Date: Wed, 29 May 2019 21:51:33 -0700 (PDT)

The following errata report has been submitted for RFC8577,
"Signaling RSVP-TE Tunnels on a Shared MPLS Forwarding Plane".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5743

--------------------------------------
Type: Technical
Reported by: Vishnu Pavan Beeram <[email-masked]>

Section: 11.3

Original Text
-------------
   IANA manages the "Record Route Object Sub-object Flags" registry as
   part of the "Resource Reservation Protocol-Traffic Engineering (RSVP-
   TE) Parameters" registry located at <http://www.iana.org/assignments/
   rsvp-te-parameters>.  Prior to this document, this registry did not
   include Label Sub-object Flags.  This document creates the addition
   of a new subregistry for Label Sub-object Flags as shown below.

      Flag  Name                    Reference

      0x1   Global Label            [RFC3209]
      0x02  TE Link Label           [RFC8577], Section 9.3
      0x04  Delegation Label        [RFC8577], Section 9.5

Corrected Text
--------------
   IANA manages the "Record Route Object Sub-object Flags" registry as
   part of the "Resource Reservation Protocol-Traffic Engineering (RSVP-
   TE) Parameters" registry located at <http://www.iana.org/assignments/
   rsvp-te-parameters>.  Prior to this document, this registry did not
   include Label Sub-object Flags.  This document creates the addition
   of a new subregistry for Label Sub-object Flags as shown below.

      Flag  Name                    Reference

      0x1   Global Label            [RFC3209]
      0x02  TE Link Label           [RFC8577], Section 9.3
      0x04  Delegation Label        [RFC8577], Section 9.5
 
  All assignments in this sub-registry are to be performed via
  Standards Action.

Notes
-----
This errata is being reported as a response to the following email from IANA.

**
Authors/WG Chairs/ADs for RFC 8577,

During the publication process, the registration procedures were unintentionally removed from the document.  Is this something that an errata should be submitted for?

In version 9 of the document, it says: All assignments in this sub-registry are to be performed via Standards Action.	

In the published RFC this sentence does not appear to be there.

Please advise.

Thank you,

Michelle Cotton
Protocol Parameters Engagement Sr. Manager

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8577 (draft-ietf-mpls-rsvp-shared-labels-09)
--------------------------------------
Title               : Signaling RSVP-TE Tunnels on a Shared MPLS Forwarding Plane
Publication Date    : April 2019
Author(s)           : H. Sitaraman, V. Beeram, T. Parikh, T. Saad
Category            : PROPOSED STANDARD
Source              : Multiprotocol Label Switching
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Loa Andersson <[email-masked]>
Date: Thu, 30 May 2019 15:56:29 +0800

Deborah, All,

This errata should be approved. IANA (Michelle) found an editorial error
(that has a little bit more impact than traditional editorial errata),
we (authors and wg chairs) are working with IANA to get the
errata in place quickly.

The errata should be held for possible futurfe update.

/Loa
mpls wg co-chair

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Thu, 30 May 2019 20:23:55 +0000

Approved- Changed to reflect Editorial/future update as requested.
Thanks!
Deborah

-----Original Message-----
From: Loa Andersson <[email-masked]> 
Sent: Thursday, May 30, 2019 3:56 AM
To: RFC Errata System <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; BRUNGARD, DEBORAH A <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Technical Errata Reported] RFC8577 (5743)

Deborah, All,

This errata should be approved. IANA (Michelle) found an editorial error (that has a little bit more impact than traditional editorial errata), we (authors and wg chairs) are working with IANA to get the errata in place quickly.

/Loa
mpls wg co-chair

On 2019-05-30 12:51, RFC Errata System wrote:
> The following errata report has been submitted for RFC8577, "Signaling 
> RSVP-TE Tunnels on a Shared MPLS Forwarding Plane".
> 
> https://urldefense.proofpoint.com/v2/url?u=http-3A__www.rfc-2Deditor.o
> rg_errata_eid5743&d=DwICaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jY
> lxXD8w&m=6r4c19D9cJg0n09iG82QISNrmg7X5PnVeJaE0T-W1w4&s=C6OLeFjn6cwG9TF
> We9_0laOkyxy_n7IkWj9td9vfwMw&e=
> 
>     TE) Parameters" registry located at <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.iana.org_assignments_&d=DwICaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=6r4c19D9cJg0n09iG82QISNrmg7X5PnVeJaE0T-W1w4&s=_U5Ng8h5Rf7-M9L9r1Rh-kj2GWkgRF9oUfi-qg53Da0&e=
>     TE) Parameters" registry located at <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.iana.org_assignments_&d=DwICaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=6r4c19D9cJg0n09iG82QISNrmg7X5PnVeJaE0T-W1w4&s=_U5Ng8h5Rf7-M9L9r1Rh-kj2GWkgRF9oUfi-qg53Da0&e=
> use "Reply All" to discuss whether it should be verified or rejected. 
> When a decision is reached, the verifying party can log in to change 
> the status and edit the report, if necessary.
> 

--